/*! normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css */

/* Document
   ========================================================================== */

/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 */

html {
    line-height: 1.15; /* 1 */
    -webkit-text-size-adjust: 100%; /* 2 */
}

/* Sections
   ========================================================================== */

/**
 * Remove the margin in all browsers.
 */

body {
    margin: 0;
}

/**
 * Render the `main` element consistently in IE.
 */

main {
    display: block;
}

/* Text-level semantics
   ========================================================================== */

/**
 * Remove the gray background on active links in IE 10.
 */

a {
    background-color: transparent;
}


/* Embedded content
   ========================================================================== */

/**
 * Remove the border on images inside links in IE 10.
 */

img {
    border-style: none;
}

/* ==========================================================================
   HTML5 Boilerplate styles - h5bp.com (generated via initializr.com)
   ========================================================================== */

html,
button,
input,
select,
textarea {
    color: #222;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

img {
    vertical-align: middle;
}
.chromeframe {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

@font-face {
    font-family: 'BMBizmeud';
    src: url('/webfonts/bizmeud-webfont.woff2') format('woff2'),
         url('/webfonts/bizmeud-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

/**
 * Layout
 */

body {
    font-size: 16px;
    line-height: 1.25;
    font-family: BMBizmeud, sans-serif;
}

.black-on-white {
    color: #222;
    background-color: #FFF;
    text-shadow: white 0 0 5px;
}

.white-on-black {
    color: #DDD;
    background-color: #000;
    text-shadow: black 0 0 5px;
}

main {
    position: relative;
    z-index: 2;
    margin: 0 2.5em;
}

.background {
    display: none;
}

@media only screen and (max-width: 410px) {
    main {
        margin: 0 1.25em;
    }
}

@media only screen and (min-width: 670px) {

    .background {
        display: block;
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: 1;
        background-repeat: no-repeat;
        background-position: 0 0;
        background-size: cover;
        background-image: url('/images/background/fleur-hiver-n.jpg');
    }
}

/**
 * Footer
 */

footer {
    margin: 2.5em 0 1.25em;
}

/**
 * Menu/Nav
 */

ol, ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
li {
    display: inline-block;
}

.menu {
    font-size: 2em;
    margin-bottom: 1.25em;
}
.menu li + li:before {
    content: '—';
    margin: 0 .3em 0 .2em;
}

nav {
    font-size: 2em;
}

nav a {
    text-decoration: none;
    margin-right: .5ex;
}
nav a:hover,
nav a:focus,
nav a:active,
nav a.active {
    text-decoration: underline;
}

/**
 * Content
 */

h1, h2 {
    font-weight: normal;
}

h1 {
    font-size: 5em;
    margin: 1em 0 .25em;
}

h2 {
    font-size: 2.5em;
    margin: .5em 0 1em;
}

@media only screen and (min-width: 620px) {
    h2 {
        margin-bottom: 0;
    }
}

p {
    margin: 0;
}

.content {
    font-family: serif;
    font-size: 1.5em;
    max-width: 33em;
    hyphens: auto;
}

.content p {
    display: inline;
}

/**
 * Typography helpers
 */

span.ponctuation-haute {
    margin-left: .125em;
}
cite {
    font-style: normal;
}
cite:before {
    margin-right: .125em;
    content: '«';
}
cite:after {
    margin-left: .125em;
    content: '»';
}

/**
 * Links
 */

a:focus,
a:active {
    text-shadow: none;
}

.black-on-white a,
.black-on-white a:visited,
.black-on-white a:active {
    color: #222;
}
.black-on-white a:hover {
    color: #000;
}
.black-on-white a:focus {
    color: #FFF;
    background-color: #222;
    box-shadow: 0 0 3px 6px #222;
    outline: none;
}

.white-on-black a,
.white-on-black a:visited,
.white-on-black a:active {
    color: #DDD;
}
.white-on-black a:hover {
    color: #DDD;
}
.white-on-black a:focus {
    color: #222;
    background-color: #FFF;
    outline: none;
    box-shadow: 0 0 3px 6px #FFF;
}

.menu a {
    text-decoration: none;
    display: inline-block;
}
.menu a:hover,
.menu a:active {
    transform: scaleX(-1);
}

@media only screen and (min-width: 620px) {
    footer a:hover,
    footer a:active {
        display: inline-block;
        transform: scaleX(-1);
    }
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
    *text-indent: -9999px;
}

.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 100%;
}

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}
